CVE-2022-24975

Name
CVE-2022-24975
Description
The --mirror documentation for Git through 2.35.1 does not mention the availability of deleted content, aka the "GitBleed" issue. This could present a security risk if information-disclosure auditing processes rely on a clone operation without the --mirror option.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://wwws.nightwatchcybersecurity.com/2022/02/11/gitbleed/
MISC https://github.com/git/git/blob/2dc94da3744bfbbf145eca587a0f5ff480cc5867/Documentation/git-clone.txt#L185-L191

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= None <= 2.35.1

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
git 3.15-main 2.34.2-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
git 3.14-main 2.32.1-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
git 3.13-main 2.30.3-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
git 3.12-main 2.26.3-r1 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable